export default [
  {
    path: '/user',
    component: '../layouts/UserLayout',
    routes: [
      {
        name: 'login',
        path: '/user/login',
        component: './user/login',
      },
    ],
  },
  {
    path: '/',
    component: '../layouts/SecurityLayout',
    routes: [
      {
        path: '/',
        component: '../layouts/BasicLayout',
        authority: ['admin', 'user'],
        routes: [
          {
            path: '/',
            redirect: '/welcome',
          },
          {
            path: '/welcome',
            name: 'welcome',
            component: './welcome',
          },
          {
            path: '/building',
            name: '项目管理',
            component: '../layouts/BlankLayout',
            menuCode: '/building',
            routes: [
              {
                path: '/building/list',
                name: '项目列表',
                component: './building/List',
                menuCode: '/building/list',
              },
              {
                path: '/building/add',
                name: '项目维护',
                component: './building/Edit',
                menuCode: '/building/add',
                hideInMenu: true,
              },
              {
                path: '/building/type',
                name: '项目类型',
                component: './building/type/index',
                menuCode: '/building/type',
              },
              {
                path: '/building/type/edi',
                name: '项目类型编辑',
                hideInMenu: true,
                component: './building/type/edi',
                menuCode: '/building/type/edi',
              },
              {
                path: '/building/Developers',
                name: '品牌开发商',
                component: './building/Developers',
                menuCode: '/building/Developers',
              },
              {
                path: '/building/Developers/Edit',
                name: '品牌开发商编辑',
                hideInMenu: true,
                component: './building/Developers/Edit',
                menuCode: '/building/Developers/Edit',
              },
              {
                path: '/building/log',
                name: '项目日志',
                component: './building/log',
                menuCode: '/building/log',
              },
            ],
          },
          {
            path: '/customer',
            name: '客户管理',
            component: '../layouts/BlankLayout',
            menuCode: '/customer',
            routes: [
              {
                path: '/customer/customer/list',
                name: '客户列表',
                component: './customer/Customer/index',
                menuCode: '/customer/customer/list',
              },
              {
                path: '/customer/customerlist/privateCustomerDetail',
                name: '私客详情',
                hideInMenu: true,
                component: './customer/Customer/PrivateCustomer/CustomerDetail',
                menuCode: '/customer/customerlist/privateCustomerDetail',
              },
              {
                path: '/customer/customer/StatusChange',
                name: '状态变更',
                hideInMenu: true,
                component: './customer/Customer/StatusChange',
                menuCode: '/customer/customer/StatusChange',
              },
              {
                path: '/customer/customerlist/publicCustomerDetail',
                name: '公客详情',
                hideInMenu: true,
                component: './customer/Customer/PublicCustomer/publicCustomerDetail',
                menuCode: '/customer/customerlist/publicCustomerDetail',
              },
              {
                path: '/customer/recommend/channel',
                name: '经纪人报备',
                component: './recommend/channel',
                menuCode: '/customer/recommend/channel',
              },
              {
                path: '/customer/recommend/channel/audit',
                name: '到访确认',
                hideInMenu: true,
                component: './recommend/channel/audit',
                menuCode: '/customer/recommend/channel/audit',
              },
              {
                path: '/customer/recommend/customer',
                name: '客户推荐',
                component: './recommend/customer',
                menuCode: '/customer/recommend/customer',
              },
              {
                path: '/customer/recommend/customer/audit',
                name: '客户审核',
                hideInMenu: true,
                component: './recommend/customer/audit',
                menuCode: '/customer/recommend/customer/audit',
              },
              {
                path: '/customer/deal/list',
                name: '成交客户',
                component: './customer/deal',
                menuCode: '/customer/deal/list',
              },
            ],
          },
          {
            path: '/Live',
            name: '视频直播',
            component: '../layouts/BlankLayout',
            menuCode: '/Live',
            routes: [
              {
                path: '/Live/LiveActivity/List',
                name: '直播活动',
                component: './Live/LiveActivity/List',
                menuCode: '/Live/LiveActivity/List',
              },
              {
                path: '/Live/LiveActivity/Edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './Live/LiveActivity/Edit',
                menuCode: '/Live/LiveActivity/Edit',
              },
              {
                path: '/Live/LiveActivity/add',
                name: '新增活动',
                hideInMenu: true,
                component: './Live/LiveActivity/add',
                menuCode: '/Live/LiveActivity/add',
              },

              {
                path: '/Live/video/List',
                name: '视频',
                component: './Live/video/List',
                menuCode: '/Live/video/List',
              },
              {
                path: '/Live/video/Edit',
                name: '编辑视频',
                hideInMenu: true,
                component: './Live/video/Edit',
                menuCode: '/Live/video/Edit',
              },
            ],
          },
          {
            path: '/activity',
            name: '活动管理',
            component: '../layouts/BlankLayout',
            menuCode: '/activity',
            routes: [
              {
                path: '/activity/groupRoomActivity',
                name: '团房活动',
                component: './activity/groupRoomActivity',
                menuCode: '/activity/groupRoomActivity',
              },
              {
                path: '/activity/groupRoomActivity/detail',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/groupRoomActivity/detail',
                menuCode: '/activity/groupRoomActivity/detail',
              },
              {
                path: '/activity/groupRoomActivity/edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/groupRoomActivity/edit',
                menuCode: '/activity/groupRoomActivity/edit',
              },
              {
                path: '/activity/groupRoomActivity/registrationRecord',
                name: '报名记录',
                hideInMenu: true,
                component: './activity/groupRoomActivity/registrationRecord',
                menuCode: '/activity/groupRoomActivity/registrationRecord',
              },

              {
                path: '/activity/lookHouseActivity',
                name: '一键带看',
                component: './activity/lookHouseActivity',
                menuCode: '/activity/lookHouseActivity',
              },
              {
                path: '/activity/lookHouseActivity/detail',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/lookHouseActivity/detail',
                menuCode: '/activity/lookHouseActivity/detail',
              },
              {
                path: '/activity/lookHouseActivity/edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/lookHouseActivity/edit',
                menuCode: '/activity/lookHouseActivity/edit',
              },
              {
                path: '/activity/lookHouseActivity/registrationRecord',
                name: '报名记录',
                hideInMenu: true,
                component: './activity/lookHouseActivity/registrationRecord',
                menuCode: '/activity/lookHouseActivity/registrationRecord',
              },

              {
                path: '/activity/SignupActivity',
                name: '报名活动',
                component: './activity/SignupActivity',
                menuCode: '/activity/SignupActivity',
              },
              {
                path: '/activity/SignupActivity/detail',
                name: '活动详情',
                hideInMenu: true,
                component: './activity/SignupActivity/detail',
                menuCode: '/activity/SignupActivity/detail',
              },
              {
                path: '/activity/SignupActivity/edit',
                name: '编辑活动',
                hideInMenu: true,
                component: './activity/SignupActivity/edit',
                menuCode: '/activity/SignupActivity/edit',
              },
              {
                path: '/activity/SignupActivity/registrationRecord',
                name: '报名记录',
                hideInMenu: true,
                component: './activity/SignupActivity/registrationRecord',
                menuCode: '/activity/SignupActivity/registrationRecord',
              },
            ],
          },
          {
            path: '/news',
            name: '资讯管理',
            component: '../layouts/BlankLayout',
            menuCode: '/news',
            routes: [
              // {
              //   path: '/news/type/NewsType',
              //   name: '资讯类型',
              //   component: './news/type/NewsType',
              //   menuCode: '/news/type/NewsType',
              // },
              // {
              //   path: '/news/type/editNews',
              //   name: '编辑资讯类型',
              //   hideInMenu: true,
              //   component: './news/type/editNews',
              //   menuCode: '/news/type/editNews',
              // },
              {
                path: '/news/list/List',
                name: '资讯列表',
                component: './news/list/List',
                menuCode: '/news/list/List',
              },
              {
                path: '/news/list/Edit',
                name: '编辑资讯',
                hideInMenu: true,
                component: './news/list/Edit',
                menuCode: '/news/list/Edit',
              },
              //+购房百科
              {
                path: '/news/Sellhouse/index',
                name: '购房百科',
                component: './system/Sellhouse/index',
                menuCode: '/news/Sellhouse/index',
              },
              {
                path: '/news/houseTypes/index',
                name: '购房百科类型',
                component: './system/Sellhouse/houseTypes/index',
                menuCode: '/news/houseTypes/index',
              },
              {
                path: '/news/Sellhouse/Edit',
                name: '编辑购房百科',
                hideInMenu: true,
                component: './system/Sellhouse/Edit',
                menuCode: '/news/Sellhouse/Edit',
              },
              {
                path: '/news/Sellhouse/houseTypes/Newindex',
                name: '编辑购房百科类型',
                hideInMenu: true,
                component: './system/Sellhouse/houseTypes/Newindex',
                menuCode: '/news/Sellhouse/houseTypes/Newindex',
              },
            ],
          },
          {
            path: '/channel',
            name: '渠道管理',
            component: '../layouts/BlankLayout',
            menuCode: '/channel',
            routes: [
              {
                path: '/channel/Channel/List',
                name: '渠道管理',
                component: './channel/Channel/List',
                menuCode: '/channel/Channel/List',
              },
              {
                path: '/channel/Channel/Edit',
                name: '编辑渠道',
                hideInMenu: true,
                component: './channel/Channel/Edit',
                menuCode: '/channel/Channel/Edit',
              },
              {
                path: '/channel/Agent/List',
                name: '经纪人',
                hideInMenu: true,
                component: './channel/Agent/List',
                // menuCode: '/channel/Agent/List',
              },
              {
                path: '/channel/brokerList',
                name: '经纪人',
                hideInMenu: true,
                component: './channel/brokerList',
                // menuCode: '/channel/brokerList',
              },

              {
                path: '/channel/recommendClients',
                name: '渠道推荐',
                hideInMenu: true,
                component: './channel/recommendClients',
                // menuCode: '/channel/recommendClients',
              },

              // {
              //   path: '/channel/InviteClients',
              //   name: '邀请经纪人',
              //   hideInMenu: true,
              //   component: './channel/InviteClients',
              // },
              {
                path: '/channel/independentList',
                name: '经纪人',
                component: './channel/independentList/index',
                menuCode: '/channel/independentList',
              },
              // {
              //   path: '/channel/newCustomer',
              //   name: '引进注册用户',
              //   hideInMenu: true,
              //   component: './channel/newCustomer',
              // },
              // {
              //   path: '/channel/newCustomer/dataRecord',
              //   name: '注册用户',
              //   hideInMenu: true,
              //   component: './channel/newCustomer/dataRecord',
              // },
              // {
              //   path: '/channel/newCustomer/visitNum',
              //   name: '访问次数',
              //   hideInMenu: true,
              //   component: './channel/newCustomer/visitNum',
              // },
              // {
              //   path: '/channel/newCustomer/personNum',
              //   name: '访问人数',
              //   hideInMenu: true,
              //   component: './channel/newCustomer/personNum',
              // },
            ],
          },
          {
            //帮我找房页面+
            path: '/findRoom',
            name: '需求反馈',
            component: '../layouts/BlankLayout',
            menuCode: '/findRoom',
            routes: [
              {
                path: '/findRoom/buyRoom',
                name: '找房需求',
                component: './findRoom/buyRoom',
                menuCode: '/findRoom/buyRoom',
              },
              {
                path: '/findRoom/buyRoom/audit',
                name: '回访确认',
                hideInMenu: true,
                component: './findRoom/buyRoom/audit',
                menuCode: '/findRoom/buyRoom/audit',
              },

              {
                path: '/findRoom/rent',
                name: '租房需求',
                component: './findRoom/rent',
                menuCode: '/findRoom/rent',
              },
              {
                path: '/findRoom/rent/audit',
                name: '回访确认',
                hideInMenu: true,
                component: './findRoom/rent/audit',
                menuCode: '/findRoom/rent/audit',
              },

              {
                path: '/findRoom/overseas',
                name: '海外需求',
                component: './findRoom/overseas',
                menuCode: '/findRoom/overseas',
              },
              {
                path: '/findRoom/overseas/audit',
                name: '回访确认',
                hideInMenu: true,
                component: './findRoom/overseas/audit',
                menuCode: '/findRoom/overseas/audit',
              },

              {
                path: '/findRoom/addedValueService',
                name: '增值服务',
                component: './findRoom/addedValueService',
                menuCode: '/findRoom/addedValueService',
              },
              {
                path: '/findRoom/addedValueService/audit',
                name: '回访确认',
                hideInMenu: true,
                component: './findRoom/addedValueService/audit',
                menuCode: '/findRoom/addedValueService/audit',
              },
              {
                path: '/findRoom/setting',
                name: '回访设置',
                component: './findRoom/setting',
                menuCode: '/findRoom/setting',
              },
              {
                path: '/findRoom/messageList',
                name: '客户留言',
                component: './system/messageList',
                menuCode: '/findRoom/messageList',
              },
            ],
          },
          {
            //我的课堂+
            path: '/course',
            name: '我的课堂',
            component: '../layouts/BlankLayout',
            menuCode: '/course',
            routes: [
              {
                path: '/course/List',
                name: '课程管理',
                component: './course/List',
                menuCode: '/course/List',
              },
              {
                path: '/course/Edit',
                name: '课程编辑',
                hideInMenu: true,
                component: './course/Edit',
                menuCode: '/course/Edit',
              },
            ],
          },
          {
            path: '/carouselFigure',
            name: '资源位管理',
            component: '../layouts/BlankLayout',
            menuCode: '/carouselFigure',
            routes: [
              {
                path: '/carouselFigure/carouselFigureList',
                name: '轮播图',
                component: './carouselFigure/carouselFigureList',
                menuCode: '/carouselFigure/carouselFigureList',
              },
              {
                path: '/carouselFigure/editCarousel',
                name: '轮播图编辑',
                hideInMenu: true,
                component: './carouselFigure/editCarousel',
                menuCode: '/carouselFigure/editCarousel',
              },
              {
                path: '/carouselFigure/advertisingList',
                name: '开屏广告',
                component: './carouselFigure/advertisingList',
                menuCode: '/carouselFigure/advertisingList',
              },
              {
                path: '/carouselFigure/editAdvertising',
                name: '开屏广告编辑',
                hideInMenu: true,
                component: './carouselFigure/editAdvertising',
                menuCode: '/carouselFigure/editAdvertising',
              },
            ],
          },
          {
            path: '/broker',
            name: '全民经纪人',
            component: '../layouts/BlankLayout',
            menuCode: '/broker',
            routes: [
              {
                path: '/broker/announcement',
                name: '通知公告',
                component: './broker/announcement/index',
                menuCode: '/broker/announcement',
              },
              {
                path: '/broker/announcement/edit',
                name: '通知公告维护',
                hideInMenu: true,
                component: './broker/announcement/Edit/index',
                menuCode: '/broker/announcement/edit',
              },
              {
                path: '/broker/list',
                name: '经纪人管理',
                component: './broker/list/index',
                menuCode: '/broker/list',
              },
              {
                path: '/broker/agentRule',
                name: '经纪人规则',
                component: './broker/agentRule/index',
                menuCode: '/broker/agentRule',
              },
              {
                path: '/broker/customer/list',
                name: '经纪人客户列表',
                component: './broker/customer/index',
                hideInMenu: true,
              },
            ],
          },
          {
            path: '/system',
            name: '系统管理',
            component: '../layouts/BlankLayout',
            menuCode: '/system',
            routes: [
              {
                path: '/system/intention',
                name: '意向值',
                component: './system/intention',
                menuCode: '/system/intention',
              },
              {
                path: '/system/Staff/List',
                name: '员工列表',
                component: './staff/Staff/List',
                menuCode: '/system/Staff/List',
              },
              {
                path: '/system/Staff/Edit',
                name: '编辑员工',
                hideInMenu: true,
                component: './staff/Staff/Edit',
                menuCode: '/system/Staff/Edit',
              },
              {
                path: '/system/Role/List',
                name: '角色管理',
                component: './staff/Role/List',
                menuCode: '/system/Role/List',
              },
              {
                path: '/system/Role/Edit',
                name: '编辑角色',
                hideInMenu: true,
                component: './staff/Role/Edit',
                menuCode: '/system/Role/Edit',
              },
              {
                path: '/system/Organization/List',
                name: '组织架构',
                component: './staff/Organization',
                menuCode: '/system/Organization/List',
              },
              // {
              //   path: '/system/customImg/list',
              //   name: '首页分享',
              //   component: './carouselFigure/customImg/list',
              //   menuCode: '/carouselFigure/customImg/list',
              // },
              {
                path: '/system/customImg/edit',
                name: '首页分享',
                // hideInMenu: true,
                component: './carouselFigure/customImg/edit',
                menuCode: '/carouselFigure/customImg/edit',
              },
              {
                path: '/system/city',
                name: '城市管理',
                // hideInMenu: true,
                component: './system/city',
                menuCode: '/system/city',
              },
            ],
          },
          {
            path: '/statistics',
            name: '数据统计',
            component: '../layouts/BlankLayout',
            menuCode: '/statistics',
            // hideInMenu: true,
            routes: [
              {
                path: '/statistics/dataReport',
                name: '数据报表',
                component: './statistics/dataReport',
                menuCode: '/statistics/dataReport',
              },
              {
                path: '/statistics/dataReport/newAdd',
                name: '新增用户',
                hideInMenu: true,
                component: './statistics/dataReport/newAdd',
                menuCode: '/statistics/dataReport',
              },
              {
                path: '/statistics/activity',
                name: '活动统计',
                component: './statistics/activity',
                menuCode: '/statistics/activity',
              },
              {
                path: '/statistics/activity/sharePersonNum',
                name: '分享人数',
                hideInMenu: true,
                component: './statistics/activity/sharePersonNum',
                menuCode: '/statistics/activity',
              },
              {
                path: '/statistics/activity/shareNum',
                name: '分享次数',
                hideInMenu: true,
                component: './statistics/activity/shareNum',
                menuCode: '/statistics/activity',
              },
              {
                path: '/statistics/activity/visitPersonNum',
                name: '访问人数',
                hideInMenu: true,
                component: './statistics/activity/visitPersonNum',
                menuCode: '/statistics/activity',
              },
              {
                path: '/statistics/activity/visitNum',
                name: '访问次数',
                hideInMenu: true,
                component: './statistics/activity/visitNum',
                menuCode: '/statistics/activity',
              },
              {
                path: '/statistics/activity/addRegistNum',
                name: '新增注册用户',
                hideInMenu: true,
                component: './statistics/activity/addRegistNum',
                menuCode: '/statistics/activity',
              },
              {
                path: '/statistics/activity/detail',
                name: '查看',
                hideInMenu: true,
                component: './statistics/activity/detail',
                menuCode: '/statistics/activity',
              },
              
              {
                path: '/statistics/building',
                name: '项目统计',
                component: './statistics/building',
                menuCode: '/statistics/building',
              },
              {
                path: '/statistics/building/detail',
                name: '项目统计',
                hideInMenu: true,
                component: './statistics/building/detail',
                menuCode: '/statistics/building',
              },

              {
                path: '/statistics/consultant',
                name: 'KPI',
                component: './statistics/consultant',
                menuCode: '/statistics/consultant',
              },
            ],
          },
          {
            component: './404',
          },
        ],
      },
      {
        component: './404',
      },
    ],
  },
  {
    component: './404',
  },
];
